Bug 452940 - text mode install cannot progress past "Install Anyway" challenge
text mode install cannot progress past "Install Anyway" challenge
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i686 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-26 00:44 EDT by xunilarodef
Modified: 2008-06-30 09:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-30 09:08:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xunilarodef 2008-06-26 00:44:32 EDT
Description of problem:
  "Install Anyway" command button seems to have no action or
the wrong action associated with it.  A text mode install
cannot be completed.

Version-Release number of selected component (if applicable):
anaconda 11.4.1.7

How reproducible:
  Has failed every time in multiple attempts.

Steps to Reproduce:
1. Boot with pxeboot images. 
2. Progress past retrieving stage2.img.
3. On the dialog titled "Warning! This is pre-release software!"
   select the "Install Anyway" command button.
4. Rewarded with a dialog still titled "Warning! This is pre-release software!"
   containing "Your system will be rebooted"
     Back  Reboot
   F12 selects the Back command button, Space selects Reboot.
Actual results:
  Stalemate or reboot.

Expected results:
  Continue with Rawhide installation.

Additional info:
Comment 1 Chris Lumens 2008-06-26 08:43:26 EDT
The next thing it's doing is probing for disks in order to determine if you want
to install or upgrade an existing install, so there's plenty that could be going
wrong.  Do you have an unusual disk configuration?  Do you see any kernel panic
messages on tty4?
Comment 2 xunilarodef 2008-06-29 21:23:15 EDT
  With the same instance of anaconda running in graphic mode, the
install would progress past the "Install Anyway" challenge (but I had
to cancel that install for other reasons, before any partitioning info
was written to disk).  So I believe there was a text-mode specific
bug, since the graphic-mode installer behaved as expected in the same
situation.

> Do you have an unusual disk configuration? 

No, just multiple partitions on /dev/sda.

> Do you see any kernel panic messages on tty4?.

I did not originally check for such.  By the time I could re-run this
install attempt, the version of anaconda has progressed to 11.4.1.9-1,
where I find both the graphic-mode and text-mode installs to properly
progress past the "Install Anyway" challenge.
Comment 3 Andy Lindeberg 2008-06-30 09:08:52 EDT
It would seem whatever bug caused this has been fixed, so I'm going to close the
report. If you run into this again, please reopen.

Note You need to log in before you can comment on or make changes to this bug.